package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 门诊信息表实体
*
* @author Administrator on  2019年05月31日
*
*/
@Entity
@Table(name = "wlyy_outpatient")
public class WlyyOutpatientDO extends UuidIdentityEntity {

    /**
	 * 每次就诊唯一号
	 */
	private String admNo;

    /**
	 * 原始每次就诊唯一号
	 */
	private String originAdmNo;

    /**
	 * 挂号流水号
	 */
	private String registerNo;

    /**
	 * 原始挂号流水号
	 */
	private String originRegisterNo;

    /**
     * 原始就诊次数
     */
    private String originConNo;

    /**
     * 就诊次数
     */
    private String conNo;

    /**
     * 1.在线复诊2.协同门诊
     */
    private String outpatientType;
    /**
     * 1.图文 2.视频
     */
    private String type;

    /**
     * 医院编码
     */
    private String hospital;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 机构分部编码
     */
    private String winNo;

    /**
	 * 部门
	 */
	private String dept;

    /**
	 * 部门名称
	 */
	private String deptName;

    /**
	 * 当前居民code
	 */
	private String patient;

    /**
	 * 当前居民名称
	 */
	private String patientName;

    /**
     * 手机
     */
    private String mobile;

    /**
	 * 医生code
	 */
	private String doctor;

    /**
	 * 医生名称
	 */
	private String doctorName;

    /**
     * 全科医生
     */
    private String generalDoctor;

    /**
     * 全科医生名称
     */
    private String generalDoctorName;

    /**
	 * 身份证号
	 */
	private String idcard;

    /**
     * 就诊卡
     */
    private String cardNo;

    /**
	 * 门急诊标记（MZ门诊，JZ急诊）
	 */
	private String mjz;

    /**
	 * 诊断编码
	 */
	private String icd10;

    /**
	 * icd10_name
	 */
	private String icd10Name;

    /**
     * 医嘱
     */
    private String advice;

    /**
	 * 挂号时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date admDate;

    /**
     * 复诊说明
     */
    private String description;

    /**
     * 病症图片，用“，”分割
     */
    private String diseaseImg;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date endTime;
    /**
	 * 就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date conDate;

    /**
     * 患者取消类型
     */
    private String patientCancelType;

    /**
     * 患者取消类型名称
     */
    private String patientCancelValue;

    /**
     * 患者取消类型详细说明
     */
    private String patientCancelRemark;
    
    
    /**
     * 医生取消类型
     */
    private String doctorCancelType;
    
    /**
     * 医生取消类型名称
     */
    private String doctorCancelValue;
    
    /**
     * 医生取消类型详细说明
     */
    private String doctorCancelRemark;

    /**
     * 预约时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date registerDate;
    /**
	 * -1 取消；0 候诊中 ；1 就诊中 ；2 已诊
	 */
	private String status;

    /**
     * 1已经评价，0或其他未评价
     */
    private String evaluateStatus;

    /**
     * 付款状态0未付款1付款
     */
    private Integer payStatus;

    private String  operator;

    private String source;//来源
    /*
    *提醒次数
     */
    private Integer remindCount;
    /**
     * 0未结算1已结算
     */
    private Integer hisStatus;

    /**
     * 代就诊人
     */
    private String consumer;
    /**
     * 代就诊人名字
     */
    private String consumerName;

    /**
     * 代就诊人手机号
     */
    private String consumerMobile;

    /**
     * his单据号
     */
    private String xtgzh;

    /**
     * 处方号
     */
    private String realOrder;
    /**
     * 金额
     */
    private Double fee;
    /**
     * 处方号
     */
    private String chargeType;

    /**
     * 云信房间号
     */
    private String channelId;
    /**
     * 是否提醒过医生
     */
    private String remindDoctor;
    /**
     * 上次提醒时间
     */
    private Date lastRemindTime;
    /**
     * 是否同意查看就诊记录1已同意0未同意
     */
    private String isAgree;

    private String insuranceMedHistserial;//医保病史上传流水号

    private String bloodType;//血型

    private String allergy;//过敏史

    private String medicalState;//医保状态（1医保0不用医保）

    @Column(name = "medical_state")
    public String getMedicalState() {
        return medicalState;
    }

    public void setMedicalState(String medicalState) {
        this.medicalState = medicalState;
    }

    @Column(name = "blood_type")
    public String getBloodType() {
        return bloodType;
    }

    public void setBloodType(String bloodType) {
        this.bloodType = bloodType;
    }

    @Column(name = "allergy")
    public String getAllergy() {
        return allergy;
    }

    public void setAllergy(String allergy) {
        this.allergy = allergy;
    }

    @Column(name = "insurance_med_hist_serial")
    public String getInsuranceMedHistserial() {
        return insuranceMedHistserial;
    }

    public void setInsuranceMedHistserial(String insuranceMedHistserial) {
        this.insuranceMedHistserial = insuranceMedHistserial;
    }


    @Column(name = "is_agree")
    public String getIsAgree() {
        return isAgree;
    }

    public void setIsAgree(String isAgree) {
        this.isAgree = isAgree;
    }
    @Column(name = "last_remind_time")
    public Date getLastRemindTime() {
        return lastRemindTime;
    }
    public void setLastRemindTime(Date lastRemindTime) {
        this.lastRemindTime = lastRemindTime;
    }

    @Column(name = "remind_doctor")
    public String getRemindDoctor() {
        return remindDoctor;
    }

    public void setRemindDoctor(String remindDoctor) {
        this.remindDoctor = remindDoctor;
    }

    @Column(name = "charge_type")
    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    @Column(name = "fee")
    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    @Column(name = "remind_count")
    public Integer getRemindCount() {
        return remindCount;
    }

    public void setRemindCount(Integer remindCount) {
        this.remindCount = remindCount;
    }
    @Column(name = "operator")
    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    @Column(name = "adm_no")
    public String getAdmNo() {
        return admNo;
    }
    public void setAdmNo(String admNo) {
        this.admNo = admNo;
    }

	@Column(name = "origin_adm_no")
    public String getOriginAdmNo() {
        return originAdmNo;
    }
    public void setOriginAdmNo(String originAdmNo) {
        this.originAdmNo = originAdmNo;
    }

	@Column(name = "register_no")
    public String getRegisterNo() {
        return registerNo;
    }
    public void setRegisterNo(String registerNo) {
        this.registerNo = registerNo;
    }

	@Column(name = "origin_register_no")
    public String getOriginRegisterNo() {
        return originRegisterNo;
    }
    public void setOriginRegisterNo(String originRegisterNo) {
        this.originRegisterNo = originRegisterNo;
    }

    @Column(name = "outpatient_type")
    public String getOutpatientType() {
        return outpatientType;
    }

    public void setOutpatientType(String outpatientType) {
        this.outpatientType = outpatientType;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    @Column(name = "dept")
    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

	@Column(name = "dept_name")
    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

	@Column(name = "patient")
    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

	@Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

	@Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

	@Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "general_doctor")
    public String getGeneralDoctor() {
        return generalDoctor;
    }

    public void setGeneralDoctor(String generalDoctor) {
        this.generalDoctor = generalDoctor;
    }

    @Column(name = "general_doctor_name")
    public String getGeneralDoctorName() {
        return generalDoctorName;
    }

    public void setGeneralDoctorName(String generalDoctorName) {
        this.generalDoctorName = generalDoctorName;
    }

    @Column(name = "idcard")
    public String getIdcard() {
        return idcard;
    }
    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

	@Column(name = "mjz")
    public String getMjz() {
        return mjz;
    }
    public void setMjz(String mjz) {
        this.mjz = mjz;
    }

	@Column(name = "icd10")
    public String getIcd10() {
        return icd10;
    }
    public void setIcd10(String icd10) {
        this.icd10 = icd10;
    }

	@Column(name = "icd10_name")
    public String getIcd10Name() {
        return icd10Name;
    }
    public void setIcd10Name(String icd10Name) {
        this.icd10Name = icd10Name;
    }

    @Column(name = "advice")
    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    @Column(name = "adm_date")
    public Date getAdmDate() {
        return admDate;
    }
    public void setAdmDate(Date admDate) {
        this.admDate = admDate;
    }

	@Column(name = "con_date")
    public Date getConDate() {
        return conDate;
    }
    public void setConDate(Date conDate) {
        this.conDate = conDate;
    }

	@Column(name = "status")
    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    @Column(name = "description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Column(name = "createTime")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "diseaseImg")
    public String getDiseaseImg() {
        return diseaseImg;
    }

    public void setDiseaseImg(String diseaseImg) {
        this.diseaseImg = diseaseImg;
    }

    @Column(name="card_no")
    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    @Column(name="win_no")
    public String getWinNo() {
        return winNo;
    }

    public void setWinNo(String winNo) {
        this.winNo = winNo;
    }

    @Column(name="origin_con_no")
    public String getOriginConNo() {
        return originConNo;
    }

    public void setOriginConNo(String originConNo) {
        this.originConNo = originConNo;
    }

    @Column(name="con_no")
    public String getConNo() {
        return conNo;
    }

    public void setConNo(String conNo) {
        this.conNo = conNo;
    }

    @Column(name="patient_cancel_type")
    public String getPatientCancelType() {
        return patientCancelType;
    }

    public void setPatientCancelType(String patientCancelType) {
        this.patientCancelType = patientCancelType;
    }

    @Column(name="patient_cancel_value")
    public String getPatientCancelValue() {
        return patientCancelValue;
    }

    public void setPatientCancelValue(String patientCancelValue) {
        this.patientCancelValue = patientCancelValue;
    }

    @Column(name="patient_cancel_remark")
    public String getPatientCancelRemark() {
        return patientCancelRemark;
    }

    public void setPatientCancelRemark(String patientCancelRemark) {
        this.patientCancelRemark = patientCancelRemark;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="register_date")
    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    @Column(name="evaluate_status")
    public String getEvaluateStatus() {
        return evaluateStatus;
    }

    public void setEvaluateStatus(String evaluateStatus) {
        this.evaluateStatus = evaluateStatus;
    }
    
    public String getDoctorCancelType() {
        return doctorCancelType;
    }
    
    public void setDoctorCancelType(String doctorCancelType) {
        this.doctorCancelType = doctorCancelType;
    }
    
    public String getDoctorCancelValue() {
        return doctorCancelValue;
    }
    
    public void setDoctorCancelValue(String doctorCancelValue) {
        this.doctorCancelValue = doctorCancelValue;
    }
    
    public String getDoctorCancelRemark() {
        return doctorCancelRemark;
    }
    
    public void setDoctorCancelRemark(String doctorCancelRemark) {
        this.doctorCancelRemark = doctorCancelRemark;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Column(name = "pay_status")
    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }


    @Column(name = "source")
    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    @Column(name = "his_status")
    public Integer getHisStatus() {
        return hisStatus;
    }

    public void setHisStatus(Integer hisStatus) {
        this.hisStatus = hisStatus;
    }

    @Column(name = "consumer")
    public String getConsumer() {
        return consumer;
    }

    public void setConsumer(String consumer) {
        this.consumer = consumer;
    }

    @Column(name = "consumer_name")
    public String getConsumerName() {
        return consumerName;
    }

    public void setConsumerName(String consumerName) {
        this.consumerName = consumerName;
    }

    @Column(name = "consumer_mobile")
    public String getConsumerMobile() {
        return consumerMobile;
    }

    public void setConsumerMobile(String consumerMobile) {
        this.consumerMobile = consumerMobile;
    }

    @Column(name = "xtgzh")
    public String getXtgzh() {
        return xtgzh;
    }

    public void setXtgzh(String xtgzh) {
        this.xtgzh = xtgzh;
    }

    @Column(name = "real_order")
    public String getRealOrder() {
        return realOrder;
    }

    public void setRealOrder(String realOrder) {
        this.realOrder = realOrder;
    }

    @Column(name = "channel_id")
    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }
}